Subject: bug#15912: Improve API of recently-added bool vector functions.

From: Daniel Colascione <[email-masked]>
Date: Sun, 17 Nov 2013 03:07:08 -0800

On 11/17/2013 12:39 AM, Paul Eggert wrote:
> Tags: patch
>
> Here's a proposed patch to improve the API of the recently-added
> bool vector functions.  I'm CC'ing this to Daniel Colascione
> to give him a heads-up, since he added the functions.
> I figure we should get this resolved soon, before the functions
> are frozen for 24.4.
>

The functions _are_ variants. They both count bits, albeit in slightly 
different ways. bool-vector-count-matches is supposed to be evocative to 
CL's count-matches, which has a similar interface. I also dislike 
count-leading as a name: it suggests that the function is useful only at 
the beginning of a vector. How about count-consecutive?